Skip to main content
GET
/
v0
/
domains
/
{domain_id}
/
members
/
{member_id}
/
traffic-status
/v0/domains/{domain_id}/members/{member_id}/traffic-status
curl --request GET \
  --url https://example.com/api/scan/v0/domains/{domain_id}/members/{member_id}/traffic-status
{
  "traffic_status": {
    "actual": {
      "total_consumed": 123,
      "total_limit": 123
    },
    "target": {
      "total_purchased": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

domain_id
string
required

The synchronizer ID to look up traffic for.

member_id
string
required

The participant or mediator whose traffic to look up, in the format code::id::fingerprint where code is PAR or MED.

Response

ok

traffic_status
object
required

The current traffic state for the member on the synchronizer under actual, and the total purchased traffic under target. The purchased traffic may exceed the actual limit as purchases take time to be incorporated into the limit.